/*********************************************************************
*
*   HEADER NAME:
*       PenInputMgrSelectorNums.h - Pen Input Manager Selector Numbers
*
* Copyright 2002-2003 by Garmin Ltd. or its subsidiaries.
*
*********************************************************************/


#ifndef _PENINPUTMGRSELECTORNUMS_H
#define _PENINPUTMGRSELECTORNUMS_H

/*--------------------------------------------------------------------
                           GENERAL INCLUDES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                          LITERAL CONSTANTS
--------------------------------------------------------------------*/

/*----------------------------------------------------------
Selector numbers
----------------------------------------------------------*/
#define pinPINSetInputAreaState			0
#define pinPINGetInputAreaState			1
#define pinPINSetInputTriggerState		2
#define pinPINGetInputTriggerState		3
#define pinPINAltInputSystemEnabled		4
#define pinPINGetCurrentPinletName		5
#define pinPINSwitchToPinlet			6
#define pinPINCountPinlets				7
#define pinPINGetPinletInfo				8
#define pinPINSetInputMode				9
#define pinPINGetInputMode				10
#define pinPINClearPinletState			11
#define pinPINShowReferenceDialog		12
#define pinWinSetConstraintsSize		13
#define pinFrmSetDIAPolicyAttr			14
#define pinFrmGetDIAPolicyAttr			15

/*--------------------------------------------------------------------
                                TYPES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                           PROJECT INCLUDES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                           MEMORY CONSTANTS
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                              VARIABLES
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                                MACROS
--------------------------------------------------------------------*/

/*--------------------------------------------------------------------
                              PROCEDURES
--------------------------------------------------------------------*/

#endif /* PENINPUTMGRSELECTORNUMS_H */

